Subject: RE: NTFS fragmentation
From: "Dave Korn" <[email-masked]>
To: "'Vladimir Dergachev'" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 3 Aug 2006 19:37:30 +0100

On 03 August 2006 18:50, Vladimir Dergachev wrote:

> On Thursday 03 August 2006 5:18 am, Dave Korn wrote:
>> On 03 August 2006 00:46, Vladimir Dergachev wrote:
>> 
>> 
>>     Hi Vladimir,
>> 
>>>>> Please CC me - I am not on the list.
>> 
>>   Done :)
>> 
> 
>>   Actually, maybe the most informative thing would be to look at the device
>> IO controls sent by both testcases, using filemon or similar.
> 
> Thank you for the suggestion !
> 
> I used filemon and discovered that all three programs (ntfs_test.tcl,
> Firefox and IE) use sequential access, but IE writes the file first to
> Temporary Internet Files folder and then copies it.
> 
> If one runs analyze from defragmenter while IE is still downloading the file
> the file in the Temporary Internet Files folder is just as fragmented as
> other files.
> 
> I guess this means that sequential writes are officially broken on NTFS.
> 
> Anyone has any idea for a workaround ? It would be nice if a simple
> tar zcvf a.tgz * does not result in a completely fragmented file.

  I can only think of one thing worth trying off the top of my head: what
happens if you open a file (in non-sparse mode) and immediately seek to the
file size, then seek back to the start and actually write the contents?  Or
perhaps after seeking to the end you'd need to write (at least) a single byte,
then seek back to the beginning?

    cheers,
      DaveK
-- 
Can't think of a witty .sigline today....

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/